<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:49 JST 2014 -->
<TITLE>
ZooKeeperServerBean
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ZooKeeperServerBean";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.MissingSessionException.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMain.html" title="class in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ZooKeeperServerBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ZooKeeperServerBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper.server</FONT>
<BR>
Class ZooKeeperServerBean</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.zookeeper.server.ZooKeeperServerBean</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.apache.zookeeper.jmx.ZKMBeanInfo, <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../org/apache/zookeeper/server/quorum/FollowerBean.html" title="class in org.apache.zookeeper.server.quorum">FollowerBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/LeaderBean.html" title="class in org.apache.zookeeper.server.quorum">LeaderBean</A>, <A HREF="../../../../org/apache/zookeeper/server/ObserverBean.html" title="class in org.apache.zookeeper.server">ObserverBean</A>, <A HREF="../../../../org/apache/zookeeper/server/quorum/ReadOnlyBean.html" title="class in org.apache.zookeeper.server.quorum">ReadOnlyBean</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>ZooKeeperServerBean</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A>, org.apache.zookeeper.jmx.ZKMBeanInfo</DL>
</PRE>

<P>
This class implements the ZooKeeper server MBean interface.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#zks">zks</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#ZooKeeperServerBean(org.apache.zookeeper.server.ZooKeeperServer)">ZooKeeperServerBean</A></B>(<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zks)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getAvgRequestLatency()">getAvgRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getClientPort()">getClientPort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxClientCnxnsPerHost()">getMaxClientCnxnsPerHost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current maxClientCnxns allowed from a particular host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxRequestLatency()">getMaxRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMaxSessionTimeout()">getMaxSessionTimeout</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current maxSessionTimeout of the server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMinRequestLatency()">getMinRequestLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getMinSessionTimeout()">getMinSessionTimeout</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current minSessionTimeout of the server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getName()">getName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getNumAliveConnections()">getNumAliveConnections</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getOutstandingRequests()">getOutstandingRequests</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getPacketsReceived()">getPacketsReceived</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getPacketsSent()">getPacketsSent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getStartTime()">getStartTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getTickTime()">getTickTime</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current TickTime of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#getVersion()">getVersion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#isHidden()">isHidden</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;If isHidden returns true, the MBean won't be registered with MBean server,
 and thus won't be available for management tools.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetLatency()">resetLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset min/avg/max latency statistics</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetMaxLatency()">resetMaxLatency</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset max latency statistics only.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#resetStatistics()">resetStatistics</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reset packet and latency statistics</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMaxClientCnxnsPerHost(int)">setMaxClientCnxnsPerHost</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set maxClientCnxns allowed from a particular host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A></B>(int&nbsp;max)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set maxSessionTimeout of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setMinSessionTimeout(int)">setMinSessionTimeout</A></B>(int&nbsp;min)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set minSessionTimeout of server in milliseconds</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerBean.html#setTickTime(int)">setTickTime</A></B>(int&nbsp;tickTime)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set TickTime of server in milliseconds</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="zks"><!-- --></A><H3>
zks</H3>
<PRE>
protected final <A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A> <B>zks</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ZooKeeperServerBean(org.apache.zookeeper.server.ZooKeeperServer)"><!-- --></A><H3>
ZooKeeperServerBean</H3>
<PRE>
public <B>ZooKeeperServerBean</B>(<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.html" title="class in org.apache.zookeeper.server">ZooKeeperServer</A>&nbsp;zks)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getClientPort()"><!-- --></A><H3>
getClientPort</H3>
<PRE>
public java.lang.String <B>getClientPort</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getClientPort()">getClientPort</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the server socket port number</DL>
</DD>
</DL>
<HR>

<A NAME="getName()"><!-- --></A><H3>
getName</H3>
<PRE>
public java.lang.String <B>getName</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>getName</CODE> in interface <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string identifying the MBean</DL>
</DD>
</DL>
<HR>

<A NAME="isHidden()"><!-- --></A><H3>
isHidden</H3>
<PRE>
public boolean <B>isHidden</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></B></DD>
<DD>If isHidden returns true, the MBean won't be registered with MBean server,
 and thus won't be available for management tools. Used for grouping MBeans.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>isHidden</CODE> in interface <CODE>org.apache.zookeeper.jmx.ZKMBeanInfo</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if the MBean is hidden.</DL>
</DD>
</DL>
<HR>

<A NAME="getStartTime()"><!-- --></A><H3>
getStartTime</H3>
<PRE>
public java.lang.String <B>getStartTime</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getStartTime()">getStartTime</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>time the server was started</DL>
</DD>
</DL>
<HR>

<A NAME="getVersion()"><!-- --></A><H3>
getVersion</H3>
<PRE>
public java.lang.String <B>getVersion</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getVersion()">getVersion</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the zookeeper server version</DL>
</DD>
</DL>
<HR>

<A NAME="getAvgRequestLatency()"><!-- --></A><H3>
getAvgRequestLatency</H3>
<PRE>
public long <B>getAvgRequestLatency</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getAvgRequestLatency()">getAvgRequestLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>average request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxRequestLatency()"><!-- --></A><H3>
getMaxRequestLatency</H3>
<PRE>
public long <B>getMaxRequestLatency</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxRequestLatency()">getMaxRequestLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>max request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getMinRequestLatency()"><!-- --></A><H3>
getMinRequestLatency</H3>
<PRE>
public long <B>getMinRequestLatency</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinRequestLatency()">getMinRequestLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>min request latency in ms</DL>
</DD>
</DL>
<HR>

<A NAME="getOutstandingRequests()"><!-- --></A><H3>
getOutstandingRequests</H3>
<PRE>
public long <B>getOutstandingRequests</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getOutstandingRequests()">getOutstandingRequests</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of outstanding requests.</DL>
</DD>
</DL>
<HR>

<A NAME="getTickTime()"><!-- --></A><H3>
getTickTime</H3>
<PRE>
public int <B>getTickTime</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getTickTime()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Current TickTime of server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getTickTime()">getTickTime</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTickTime(int)"><!-- --></A><H3>
setTickTime</H3>
<PRE>
public void <B>setTickTime</B>(int&nbsp;tickTime)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setTickTime(int)">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Set TickTime of server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setTickTime(int)">setTickTime</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxClientCnxnsPerHost()"><!-- --></A><H3>
getMaxClientCnxnsPerHost</H3>
<PRE>
public int <B>getMaxClientCnxnsPerHost</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxClientCnxnsPerHost()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Current maxClientCnxns allowed from a particular host
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxClientCnxnsPerHost()">getMaxClientCnxnsPerHost</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxClientCnxnsPerHost(int)"><!-- --></A><H3>
setMaxClientCnxnsPerHost</H3>
<PRE>
public void <B>setMaxClientCnxnsPerHost</B>(int&nbsp;max)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxClientCnxnsPerHost(int)">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Set maxClientCnxns allowed from a particular host
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxClientCnxnsPerHost(int)">setMaxClientCnxnsPerHost</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMinSessionTimeout()"><!-- --></A><H3>
getMinSessionTimeout</H3>
<PRE>
public int <B>getMinSessionTimeout</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinSessionTimeout()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Current minSessionTimeout of the server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMinSessionTimeout()">getMinSessionTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMinSessionTimeout(int)"><!-- --></A><H3>
setMinSessionTimeout</H3>
<PRE>
public void <B>setMinSessionTimeout</B>(int&nbsp;min)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMinSessionTimeout(int)">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Set minSessionTimeout of server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMinSessionTimeout(int)">setMinSessionTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getMaxSessionTimeout()"><!-- --></A><H3>
getMaxSessionTimeout</H3>
<PRE>
public int <B>getMaxSessionTimeout</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxSessionTimeout()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Current maxSessionTimeout of the server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getMaxSessionTimeout()">getMaxSessionTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setMaxSessionTimeout(int)"><!-- --></A><H3>
setMaxSessionTimeout</H3>
<PRE>
public void <B>setMaxSessionTimeout</B>(int&nbsp;max)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxSessionTimeout(int)">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Set maxSessionTimeout of server in milliseconds
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#setMaxSessionTimeout(int)">setMaxSessionTimeout</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsReceived()"><!-- --></A><H3>
getPacketsReceived</H3>
<PRE>
public long <B>getPacketsReceived</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsReceived()">getPacketsReceived</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of packets received so far</DL>
</DD>
</DL>
<HR>

<A NAME="getPacketsSent()"><!-- --></A><H3>
getPacketsSent</H3>
<PRE>
public long <B>getPacketsSent</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getPacketsSent()">getPacketsSent</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of packets sent so far</DL>
</DD>
</DL>
<HR>

<A NAME="resetLatency()"><!-- --></A><H3>
resetLatency</H3>
<PRE>
public void <B>resetLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetLatency()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Reset min/avg/max latency statistics
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetLatency()">resetLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetMaxLatency()"><!-- --></A><H3>
resetMaxLatency</H3>
<PRE>
public void <B>resetMaxLatency</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetMaxLatency()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Reset max latency statistics only.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetMaxLatency()">resetMaxLatency</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="resetStatistics()"><!-- --></A><H3>
resetStatistics</H3>
<PRE>
public void <B>resetStatistics</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetStatistics()">ZooKeeperServerMXBean</A></CODE></B></DD>
<DD>Reset packet and latency statistics
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#resetStatistics()">resetStatistics</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumAliveConnections()"><!-- --></A><H3>
getNumAliveConnections</H3>
<PRE>
public long <B>getNumAliveConnections</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html#getNumAliveConnections()">getNumAliveConnections</A></CODE> in interface <CODE><A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMXBean.html" title="interface in org.apache.zookeeper.server">ZooKeeperServerMXBean</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>number of alive client connections</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServer.MissingSessionException.html" title="class in org.apache.zookeeper.server"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/apache/zookeeper/server/ZooKeeperServerMain.html" title="class in org.apache.zookeeper.server"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/zookeeper/server/ZooKeeperServerBean.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ZooKeeperServerBean.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
